using System.Collections.Generic;
using CncModels.Entity;

namespace CncRepository.Interface
{
    /// <summary>
    /// 品牌仓储接口
    /// </summary>
    public interface IBrandRepository
    {
        Brand GetById(int id);
        List<Brand> GetAll();
        int Create(Brand entity);
        bool Update(Brand entity);
        bool Delete(int id);
        bool ToggleEnabled(int id);
        int GetFieldMappingCount(int brandId);
        int GetCollectAddressCount(int brandId);
    }
}
